import isPlainObject from 'isobject';

var regex = new RegExp('^on([A-Z])');
var pseudoElements = ['after', 'before', 'first-letter', 'first-line', 'selection', 'backdrop', 'placeholder', 'marker', 'spelling-error', 'grammar-error'];

function friendlyPseudoClass(style) {
  for (var property in style) {
    var value = style[property];

    if (isPlainObject(value)) {
      var resolvedValue = friendlyPseudoClass(value);

      if (regex.test(property)) {
        var pseudo = property.replace(/([A-Z])/g, function (match) {
          return '-' + match.toLowerCase();
        }).replace(/^on-(.*)/g, function (match, p1) {
          return '' + (pseudoElements.includes(p1) ? '::' : ':') + p1;
        });

        style[pseudo] = resolvedValue;
        delete style[property];
      } else {
        style[property] = resolvedValue;
      }
    }
  }

  return style;
}

export default (function () {
  return friendlyPseudoClass;
});