'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _isobject = require('isobject');

var _isobject2 = _interopRequireDefault(_isobject);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var regex = new RegExp('^on([A-Z])');

var pseudoElements = ['after', 'before', 'first-letter', 'first-line', 'selection', 'backdrop', 'placeholder', 'marker', 'spelling-error', 'grammar-error'];

function friendlyPseudoClass(style) {
  for (var property in style) {
    var value = style[property];

    if ((0, _isobject2.default)(value)) {
      var resolvedValue = friendlyPseudoClass(value);

      if (regex.test(property)) {
        var pseudo = property.replace(/([A-Z])/g, function (match) {
          return '-' + match.toLowerCase();
        }).replace(/^on-(.*)/g, function (match, p1) {
          return '' + (pseudoElements.includes(p1) ? '::' : ':') + p1;
        });

        style[pseudo] = resolvedValue;
        delete style[property];
      } else {
        style[property] = resolvedValue;
      }
    }
  }

  return style;
}

exports.default = function () {
  return friendlyPseudoClass;
};